# some basic on shell programming
## jobs and daemon/process
- The mother of jobs, which are created in a shell, is the shell. Once the shell is terminated, the jobs will be teriminated too. 
- `ctrl-z` suspend the process, `bg` to make it run in the background(job)
- To detach a process, run `disown %1` to deamonize the jobs to a single process. 

## Keywords

* `export` variable available for child process `export -p/ declare -X/+X`
